View Issue Details

IDProjectCategoryView StatusLast Update
14106Bug reports[All Projects] Survey designpublic2018-11-15 15:13
ReporterholchAssigned Todominikvitt 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14106: Button "Add new question to group" does not work
Description

When you create a survey, a group and then questions and finished to create one question and want to add another question to the group, the button "Add new question to group" on the question summary page does not do anything.

The question can be greated in the survey structure sidebar though.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Server OS (if known)CentOS (Cpanel)
Webserver software & version (if known)Apache
PHP Version5.x

Relationships

has duplicate 14144 closeddominikvitt Buttons Group quick actions and Question quick actions : no action 
has duplicate 14079 closedmarkusfluer Add New Question not Clickable / No Link 

Activities

holch

holch

2018-09-27 16:14

reporter  

Screenshot_10.png (42,973 bytes)
Screenshot_10.png (42,973 bytes)
jelo

jelo

2018-10-11 01:55

updater   ~49301

Still the case in 3.14.11.

But when I look at the GUI I would prefer to remove the question quick actions. Keep the add question button on the left section visible (even when left panel is collapsed).

marcgold

marcgold

2018-10-12 14:54

reporter   ~49313

Still the case in 3.15.0+181008 - I reported this as well ID 14079 if you want to link them.

c_schmitz

c_schmitz

2018-10-16 16:17

administrator   ~49338

Only happens right after you save a previous question (new or existing).

Mazi

Mazi

2018-10-23 15:59

developer   ~49415

I can confirm the issue and I can also confirm that it is pretty annoying!
Would be great if this could be fixed soon, I'll contribute 6 beers if this makes it into the next release.

guest

guest

2018-11-02 16:53

viewer   ~49524

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28455

Related Changesets

LimeSurvey: master a48d0a95

2018-11-02 16:49:33

Dominik Vitt

Details Diff
Fixed issue 14106: Button "Add new question to group" does not work
mod - application/views/admin/survey/Question/question_view.php Diff File
mod - application/views/admin/survey/QuestionGroups/group_view.php Diff File

Issue History

Date Modified Username Field Change
2018-09-27 16:14 holch New Issue
2018-09-27 16:14 holch File Added: Screenshot_10.png
2018-10-02 16:48 dominikvitt Assigned To => dominikvitt
2018-10-02 16:48 dominikvitt Status new => assigned
2018-10-11 01:55 jelo Note Added: 49301
2018-10-12 14:54 marcgold Note Added: 49313
2018-10-12 22:03 jelo Relationship added has duplicate 14144
2018-10-14 12:35 DenisChenu Relationship added has duplicate 14079
2018-10-16 16:17 c_schmitz Note Added: 49338
2018-10-16 16:17 c_schmitz Severity major => minor
2018-10-16 16:17 c_schmitz Description Updated View Revisions
2018-10-16 16:18 c_schmitz Priority none => normal
2018-10-23 15:59 Mazi Note Added: 49415
2018-11-02 16:53 Changeset attached => LimeSurvey master a48d0a95
2018-11-02 16:53 guest Note Added: 49524
2018-11-02 16:53 guest Resolution open => fixed
2018-11-02 16:53 dominikvitt Status assigned => resolved
2018-11-02 16:53 dominikvitt Fixed in Version => 3.15.x
2018-11-15 15:13 dominikvitt Status resolved => closed